<?php

namespace App\Console\Commands;

use Illuminate\Support\Facades\Mail;
use Illuminate\Console\Command;

use App\Models\Invoice;

class InvoiceEmail extends Command
{
	/**
	 * The name and signature of the console command.
	 *
	 * @var string
	 */
	protected $signature = 'invoice:email {id}';

	/**
	 * The console command description.
	 *
	 * @var string
	 */
	protected $description = 'Email Invoices to be client';

	/**
	 * Create a new command instance.
	 *
	 * @return void
	 */
	public function __construct()
	{
		parent::__construct();
	}

	/**
	 * Execute the console command.
	 *
	 * @return mixed
	 */
	public function handle()
	{
		$o = Invoice::findOrFail($this->argument('id'));

		Mail::to($o->account->user->email)->send(new \App\Mail\InvoiceEmail($o));

		if (Mail::failures()) {
			dump('Failure?');

			dump(Mail::failures());

		} else {
			$o->print_status = TRUE;
			$o->reminders = $o->reminders('send');
			$o->save();
		}
	}
}